dofile_once("data/scripts/lib/utilities.lua")

local entity_id = GetUpdatedEntityID()
local x,y,r = EntityGetTransform( entity_id )
local wizard_id = EntityGetWithTag("miniboss")[1]

local projfile_orb_1 = ""
local projfile_orb_2 = ""
local projfile_orb_3 = ""

local projComp = EntityGetComponent( wizard_id, "VariableStorageComponent" )
if projComp ~= nil then
	GamePrint("PROJ COMP FOUND")
	for i,varComp in ipairs(projComp) do
		local name = ComponentGetValue2( varComp, "name" )
		if name == "cc_projfile_orb_1" then
			projfile_orb_1 = ComponentGetValue2( varComp, "value_string" )
		elseif name == "cc_projfile_orb_2" then
			projfile_orb_2 = ComponentGetValue2( varComp, "value_string" )
		elseif name == "cc_projfile_orb_3" then
			projfile_orb_3 = ComponentGetValue2( varComp, "value_string" )
		end
	end
end

local opts = { projfile_orb_1, projfile_orb_2, projfile_orb_3 }

for i=1,2 do
	SetRandomSeed( x * GameGetFrameNum(), y + i )
	
	local arc = Random( 0, 100 ) * 0.01 * math.pi * 2
	local vel_x = math.cos( arc ) * 250
	local vel_y = 0 - math.sin( arc ) * 250
	
	local rnd = Random( 1, #opts )
	
	local eid = shoot_projectile_from_projectile( entity_id, opts[rnd] .. ".xml", x, y, vel_x, vel_y )
end