dofile_once("data/scripts/lib/utilities.lua")
dofile_once("mods/creature_corruption/files/scripts/pool_creator.lua")

local entity_id = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform(entity_id)

local comp = EntityGetFirstComponent( entity_id, "BossDragonComponent" )

if comp ~= nil then 
	local projFile = pickrandomspell( pos_x, pos_y )
	projFile = (projFile .. ".xml")
	ComponentSetValue2( comp, "projectile_1", projFile )

	local projFile = pickrandomspellalt( pos_x, pos_y )
	projFile = (projFile .. ".xml")
	ComponentSetValue2( comp, "projectile_2", projFile )

end

local projFile = pickrandomspell( pos_x - 8, pos_y + 3 )
projFile = (projFile .. ".xml")
EntityAddComponent2(
	entity_id,
	"VariableStorageComponent",
	{
		name="cc_projfile",
		value_string=projFile
	}
)